title: Einreichung
description: Die Repräsentation einer Einreichung
type: object
required:
  - destinationId
  - submissionId
  - caseId
  - attachments
  - currentStatus
properties:
  destinationId:
    type: string
    description: UUID des Zustellpunktes, an den die Einreichung vermittelt werden soll.
    format: uuid
    minLength: 32
    maxLength: 36
  submissionId:
    description: Identifikator der Einreichung
    type: string
    format: uuid
    minLength: 32
    maxLength: 36
  caseId:
    description: ID des Vorgangs, zu dem die Einreichung gehört
    type: string
    format: uuid
    minLength: 32
    maxLength: 36
  attachments:
    type: array
    description: Liste von UUIDs der Anlagen, die bereits hochgeladen wurden
    items:
      type: string
      format: uuid
      minLength: 32
      maxLength: 36
  serviceType:
    $ref: './service-type.yml'
  currentStatus:
    $ref: './submission-state.yml'
  encryptedMetadata:
    title: JWE verschlüsselte Nachricht
    description: Der Inhalt ist nach JSON Web Encryption Compact Serialization, RFC 7516, verschlüsselt
    type: string
    pattern: '^[a-zA-Z0-9-_=.]+$'
  encryptedData:
    title: JWE Encrypted Message
    description: Der Inhalt ist nach JSON Web Encryption Compact Serialization, RFC 7516, verschlüsselt
    type: string
    pattern: '^[a-zA-Z0-9-_=.]+$'
  statusHistory:
    type: array
    description: Aktueller Status der Einreichung
    items:
      $ref: './state-transition.yml'
  announcedContentStructure:
    $ref: './announced-content-structure.yml'
